Prev |  | Next

### H.2. In-place replacement defaults

A common situation for NUT builds is to verify whether current version of the codebase (e.g. recent and not-yet-packaged release, or a Git branch) solves some issues of an existing deployment. Such tests are simplified if the new build of NUT plays by the same systems integration rules as the already deployed (e.g. package-delivered) version, specifically about filesystem access permissions and configuration file locations.

    --enable-inplace-runtime

Tries to detect and pre-set `configure` defaults for run-time settings (which you can still override if needed, but no longer must specify explicitly to be on same page as the existing setup), most notably:

- `--sysconfdir` and perhaps `--with-confdir-suffix`, or `--with-confdir` altogether
- `--with-user`
- `--with-group`

If the installed NUT version supports reporting of `CONFIG_FLAGS` used during its build, the `configure` script will try to take those values into account when running in this mode (and so use the same program and data installation paths, for example).

### Note

This does not currently rely on the configuration report optionally installed by `--enable-keep_nut_report_feature` above, but might do so eventually.

Prev | Up | Next
| Home |